<!-- <ion-header>
  <div class="row-cont">
    <div class="img-cont" [routerLink]="['/tabs/setting']">
      <img src="../../assets/newicons/proximax-siriusid-btn-go-back-blue-h60.svg" class="icon">
    </div>
    <h1 class="title">Settings</h1>
    <h1 class="sec-title">/ Backup</h1>
  </div>
</ion-header> -->

<app-superheader [title]="'Settings'" [subtitle]="'Backup'" [back]="true"></app-superheader>

<!-- <ion-header>
    <ion-toolbar>
      <ion-buttons slot="start">
        <ion-back-button text="" mode="ios"></ion-back-button>
      </ion-buttons>
      <ion-title>Backup</ion-title>
    </ion-toolbar>
  </ion-header> -->

<ion-content>
  <div class="container">
    <p class="text">
      Here is your backup passphrase. It is your responsibility to save it in a safe place. If you lose it, you will not be
      able to recover your account. We do not store any of your data, so we can’t help you if you lose access.
    </p>

    <ion-item>
      <!-- <label for="check"></label>
      <input id="check" type="checkbox" [(ngModel)]="aggree"> -->
      <ion-checkbox slot="start" color="primary" [(ngModel)]="aggree"></ion-checkbox>
      <div class="text">I have read and understood the above.</div>
    </ion-item>

    <textarea disabled *ngIf="show" name="" id="" class="area" [value]="passPhrase" ></textarea>

    <!-- <ion-input *ngIf="show" class="area" inputmode="text" placeholder="Backup phrase" [(ngModel)]="passPhrase"></ion-input> -->

    <!-- <div *ngIf="show && !copy" style="text-align: center;color:#1652BA;cursor: pointer;margin-top: 15px;" (click)="copyText()">
      <ion-icon name="!copy" mode="ios"></ion-icon> Copy Backup Phase
    </div> -->

    <div *ngIf="show && copy" style="text-align: center;color:#1652BA;cursor: pointer;" (click)="copyText()">
      <ion-icon name="checkmark" mode="ios" style="font-size: 30px;position: relative;top:9px;right:-2px"></ion-icon>
      Passphrase Copied
    </div>

    <div class="btn-cont" *ngIf="!show">
      <button class="btn" (click)="showPassPhrase()">
        Show Passphrase
      </button>
    </div>

    <div class="btn-cont"  *ngIf="show">
      <button class="btn" (click)="copyText()">
        Copy Passphrase
      </button>
    </div>

    <div class="btn-cont"  *ngIf="show">
      <button class="btn-w" (click)="hidePassPhrase()">
        Hide Passphrase
      </button>
    </div>
  </div>
</ion-content>

<!-- <ion-content>

  <p>Here is your backup passphrase. It is your responsibility to save it in a safe place. If you lose it, you will not be able to recover your account. We do not store any of your data, so we can’t help you if you lose access.</p>



  <ion-item>
    <ion-checkbox slot="start" color="favorite" [(ngModel)]="aggree"></ion-checkbox>
    <div id="text">I have read and understood the above.
    </div>
  </ion-item>

  <div id="passPhrase" *ngIf="show">
    <div id="border">
      <ion-input value="Readonly" readonly>{{passPhrase}}</ion-input>
    </div>

    <div *ngIf="!copy" style="text-align: center;color:#24AFA5;cursor: pointer;margin-top: 15px;" (click)="copyText()">
        <ion-icon name="copy" mode="ios"></ion-icon> Copy Backup Phase
    </div>

    <div *ngIf="copy" style="text-align: center;color:#24AFA5;cursor: pointer;" (click)="copyText()">
      <ion-icon name="checkmark" mode="ios" style="font-size: 30px;position: relative;top:9px;right:-2px"></ion-icon> Your Backup Phase Copied
  </div>

  </div>

  <div id="button">
    <ion-button (click)="showPassPhrase()" color="favorite" >Show Passphrase</ion-button>
  </div>
</ion-content> -->
